<?php 

	$niwas_resort_hotel_custom_style = '';

	// Logo Size
	$niwas_resort_hotel_logo_top_padding = get_theme_mod('niwas_resort_hotel_logo_top_padding');
	$niwas_resort_hotel_logo_bottom_padding = get_theme_mod('niwas_resort_hotel_logo_bottom_padding');
	$niwas_resort_hotel_logo_left_padding = get_theme_mod('niwas_resort_hotel_logo_left_padding');
	$niwas_resort_hotel_logo_right_padding = get_theme_mod('niwas_resort_hotel_logo_right_padding');

	if( $niwas_resort_hotel_logo_top_padding != '' || $niwas_resort_hotel_logo_bottom_padding != '' || $niwas_resort_hotel_logo_left_padding != '' || $niwas_resort_hotel_logo_right_padding != ''){
		$niwas_resort_hotel_custom_style .=' .logo {';
			$niwas_resort_hotel_custom_style .=' padding-top: '.esc_attr($niwas_resort_hotel_logo_top_padding).'px; padding-bottom: '.esc_attr($niwas_resort_hotel_logo_bottom_padding).'px; padding-left: '.esc_attr($niwas_resort_hotel_logo_left_padding).'px; padding-right: '.esc_attr($niwas_resort_hotel_logo_right_padding).'px;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_logo_size = get_theme_mod('niwas_resort_hotel_logo_size');
	if( $niwas_resort_hotel_logo_size != '' ) {
		if($niwas_resort_hotel_logo_size >= 0 && $niwas_resort_hotel_logo_size <= 100) {
			$calculated_width = $niwas_resort_hotel_logo_size * 3.5;
			$niwas_resort_hotel_custom_style .= ' .custom-logo-link img {';
			$niwas_resort_hotel_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$niwas_resort_hotel_custom_style .= ' }';
		}
	}

	//Menu animation
	$niwas_resort_hotel_dropdown_anim = get_theme_mod('niwas_resort_hotel_dropdown_anim');

	if ( $niwas_resort_hotel_dropdown_anim != '') {
		$niwas_resort_hotel_custom_style .=' .nav-menu ul ul {';
			$niwas_resort_hotel_custom_style .=' animation:'.esc_attr($niwas_resort_hotel_dropdown_anim).' 1s ease;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	// service section padding
	$niwas_resort_hotel_facility_section_padding = get_theme_mod('niwas_resort_hotel_facility_section_padding');

	if( $niwas_resort_hotel_facility_section_padding != ''){
		$niwas_resort_hotel_custom_style .=' #our-facility {';
			$niwas_resort_hotel_custom_style .=' padding-top: '.esc_attr($niwas_resort_hotel_facility_section_padding).'px; padding-bottom: '.esc_attr($niwas_resort_hotel_facility_section_padding).'px;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	// Site Title Font Size
	$niwas_resort_hotel_site_title_font_size = get_theme_mod('niwas_resort_hotel_site_title_font_size');
	if( $niwas_resort_hotel_site_title_font_size != ''){
		$niwas_resort_hotel_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$niwas_resort_hotel_custom_style .=' font-size: '.esc_attr($niwas_resort_hotel_site_title_font_size).'px;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_site_title_color = get_theme_mod('niwas_resort_hotel_site_title_color');
	if ( $niwas_resort_hotel_site_title_color != '') {
		$niwas_resort_hotel_custom_style .=' .logo p.site-title a {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_site_title_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	// Site Tagline Font Size
	$niwas_resort_hotel_site_tagline_font_size = get_theme_mod('niwas_resort_hotel_site_tagline_font_size');
	if( $niwas_resort_hotel_site_tagline_font_size != ''){
		$niwas_resort_hotel_custom_style .=' .logo p.site-description {';
			$niwas_resort_hotel_custom_style .=' font-size: '.esc_attr($niwas_resort_hotel_site_tagline_font_size).'px;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_site_tagline_color = get_theme_mod('niwas_resort_hotel_site_tagline_color');
	if ( $niwas_resort_hotel_site_tagline_color != '') {
		$niwas_resort_hotel_custom_style .=' .logo p.site-description {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_site_tagline_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	//Contact details color
	$niwas_resort_hotel_contact_details_text_color = get_theme_mod('niwas_resort_hotel_contact_details_text_color');
	if ( $niwas_resort_hotel_contact_details_text_color != '') {
		$niwas_resort_hotel_custom_style .=' #top-header .mail-call p,#top-header .mail-call p a {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_contact_details_text_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_contact_details_icon_color = get_theme_mod('niwas_resort_hotel_contact_details_icon_color');
	if ( $niwas_resort_hotel_contact_details_icon_color != '') {
		$niwas_resort_hotel_custom_style .=' #top-header .mail-call i {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_contact_details_icon_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	//Social Color
	$niwas_resort_hotel_social_color = get_theme_mod('niwas_resort_hotel_social_color');
	if ( $niwas_resort_hotel_social_color != '') {
		$niwas_resort_hotel_custom_style .=' #top-header .social-icons i {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_social_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	//slider css
	$niwas_resort_hotel_slider_font_size = get_theme_mod('niwas_resort_hotel_slider_font_size');
	if( $niwas_resort_hotel_slider_font_size != ''){
		$niwas_resort_hotel_custom_style .='#slider .inner_carousel h1 a {';
			$niwas_resort_hotel_custom_style .=' font-size: '.esc_attr($niwas_resort_hotel_slider_font_size).'px;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_slider_text_font_size = get_theme_mod('niwas_resort_hotel_slider_text_font_size');
	if( $niwas_resort_hotel_slider_text_font_size != ''){
		$niwas_resort_hotel_custom_style .='#slider .inner_carousel p {';
			$niwas_resort_hotel_custom_style .=' font-size: '.esc_attr($niwas_resort_hotel_slider_text_font_size).'px;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_slider_color = get_theme_mod('niwas_resort_hotel_slider_color');
	if ( $niwas_resort_hotel_slider_color != '') {
		$niwas_resort_hotel_custom_style .=' #slider .inner_carousel h1 a {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_slider_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_sliderbg_color = get_theme_mod('niwas_resort_hotel_sliderbg_color');
	if ( $niwas_resort_hotel_sliderbg_color != '') {
		$niwas_resort_hotel_custom_style .=' #slider .inner_carousel h1 {';
			$niwas_resort_hotel_custom_style .=' background-color:'.esc_attr($niwas_resort_hotel_sliderbg_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_slider_text_color = get_theme_mod('niwas_resort_hotel_slider_text_color');
	if ( $niwas_resort_hotel_slider_text_color != '') {
		$niwas_resort_hotel_custom_style .=' #slider .inner_carousel p{';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_slider_text_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_slider_textbg_color = get_theme_mod('niwas_resort_hotel_slider_textbg_color');
	if ( $niwas_resort_hotel_slider_textbg_color != '') {
		$niwas_resort_hotel_custom_style .=' #slider .inner_carousel p{';
			$niwas_resort_hotel_custom_style .=' background-color:'.esc_attr($niwas_resort_hotel_slider_textbg_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	//Facilities css
	$niwas_resort_hotel_facility_heading_color = get_theme_mod('niwas_resort_hotel_facility_heading_color');
	if ( $niwas_resort_hotel_facility_heading_color != '') {
		$niwas_resort_hotel_custom_style .=' #our-facility h2 {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_facility_heading_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_facility_subheading_color = get_theme_mod('niwas_resort_hotel_facility_subheading_color');
	if ( $niwas_resort_hotel_facility_subheading_color != '') {
		$niwas_resort_hotel_custom_style .=' #our-facility .service-title p {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_facility_subheading_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_img_hight = get_theme_mod('niwas_resort_hotel_img_hight');

	if( $niwas_resort_hotel_img_hight != ''){
		$niwas_resort_hotel_custom_style .=' .service-img img {';
			$niwas_resort_hotel_custom_style .=' width: '.esc_attr($niwas_resort_hotel_img_hight).'px; height: '.esc_attr($niwas_resort_hotel_img_hight).'px;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	// Footer css
	$niwas_resort_hotel_copyright_padding = get_theme_mod('niwas_resort_hotel_copyright_padding');

	if( $niwas_resort_hotel_copyright_padding != ''){
		$niwas_resort_hotel_custom_style .=' .site-info {';
			$niwas_resort_hotel_custom_style .=' padding-top: '.esc_attr($niwas_resort_hotel_copyright_padding).'px; padding-bottom: '.esc_attr($niwas_resort_hotel_copyright_padding).'px;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_slider_hide_show = get_theme_mod('niwas_resort_hotel_slider_hide_show',false);
	if( $niwas_resort_hotel_slider_hide_show == true){
		$niwas_resort_hotel_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$niwas_resort_hotel_custom_style .=' display:none;';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_footer_widgets_color = get_theme_mod('niwas_resort_hotel_footer_widgets_color');
	if ( $niwas_resort_hotel_footer_widgets_color != '') {
		$niwas_resort_hotel_custom_style .=' h3.widget-title {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_footer_widgets_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_footer_widgets_menus_color = get_theme_mod('niwas_resort_hotel_footer_widgets_menus_color');
	if ( $niwas_resort_hotel_footer_widgets_menus_color != '') {
		$niwas_resort_hotel_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_footer_widgets_menus_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_copyright_color = get_theme_mod('niwas_resort_hotel_copyright_color');
	if ( $niwas_resort_hotel_copyright_color != '') {
		$niwas_resort_hotel_custom_style .=' .site-info p {';
			$niwas_resort_hotel_custom_style .=' color:'.esc_attr($niwas_resort_hotel_copyright_color).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_copyrightbg_color1 = get_theme_mod('niwas_resort_hotel_copyrightbg_color1');
	if ( $niwas_resort_hotel_copyrightbg_color1 != '') {
		$niwas_resort_hotel_custom_style .=' .site-info {';
			$niwas_resort_hotel_custom_style .=' background-color:'.esc_attr($niwas_resort_hotel_copyrightbg_color1).';';
		$niwas_resort_hotel_custom_style .=' }';
	}

	$niwas_resort_hotel_copyrightbg_color2 = get_theme_mod('niwas_resort_hotel_copyrightbg_color2');
	if ( $niwas_resort_hotel_copyrightbg_color2 != '') {
		$niwas_resort_hotel_custom_style .=' .copyright {';
			$niwas_resort_hotel_custom_style .=' background-color:'.esc_attr($niwas_resort_hotel_copyrightbg_color2).';';
		$niwas_resort_hotel_custom_style .=' }';
	}